"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeEditorVersionDeterminer = void 0;
const editor_version_1 = require("../domain/editor-version");
/**
 * Makes a {@link DetermineEditorVersion} function.
 */
function makeEditorVersionDeterminer(loadProjectVersion) {
    return (projectPath) => {
        return loadProjectVersion(projectPath).map((unparsedEditorVersion) => {
            const parsedEditorVersion = (0, editor_version_1.tryParseEditorVersion)(unparsedEditorVersion);
            return parsedEditorVersion !== null && (0, editor_version_1.isRelease)(parsedEditorVersion)
                ? parsedEditorVersion
                : unparsedEditorVersion;
        });
    };
}
exports.makeEditorVersionDeterminer = makeEditorVersionDeterminer;
//# sourceMappingURL=determine-editor-version.js.map